<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__tfsc__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_tfsc_context_t</compoundname>
    <includes local="no">cy_capsense_gesture_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__tfsc__context__t_1a8c266f5d2b658bb7e3fa61d33c02d02e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_tfsc_context_t::touchStartTime1</definition>
        <argsstring />
        <name>touchStartTime1</name>
        <briefdescription>
<para>Touchdown time of the first touch. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="104" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="104" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfsc__context__t_1ad05feec06a31053de7213da66168c4ff" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_tfsc_context_t::touchStartTime2</definition>
        <argsstring />
        <name>touchStartTime2</name>
        <briefdescription>
<para>Touchdown time of the second touch. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="105" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfsc__context__t_1ac2bb0da57282c795cbf0f3d4c1c50e94" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref></type>
        <definition>cy_stc_capsense_gesture_position_t cy_stc_capsense_tfsc_context_t::touchStartPosition1</definition>
        <argsstring />
        <name>touchStartPosition1</name>
        <briefdescription>
<para>Touchdown position of the first touch. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="106" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="106" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfsc__context__t_1a8b6bd5906acd0001b1ceae797db7a8a3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref></type>
        <definition>cy_stc_capsense_gesture_position_t cy_stc_capsense_tfsc_context_t::touchStartPosition2</definition>
        <argsstring />
        <name>touchStartPosition2</name>
        <briefdescription>
<para>Touchdown position of the second touch. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="107" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="107" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfsc__context__t_1a8e22783a5b0ccb54c439fceb105978e4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_tfsc_context_t::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
<para>Gesture state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="108" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="108" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Gesture Two Finger Single Click context structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="219">
        <label>cy_stc_capsense_tfsc_context_t</label>
        <link refid="structcy__stc__capsense__tfsc__context__t" />
        <childnode refid="220" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
          <edgelabel>touchStartPosition2</edgelabel>
        </childnode>
      </node>
      <node id="220">
        <label>cy_stc_capsense_gesture_position_t</label>
        <link refid="structcy__stc__capsense__gesture__position__t" />
      </node>
    </collaborationgraph>
    <location bodyend="109" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="102" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="103" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__tfsc__context__t_1a8e22783a5b0ccb54c439fceb105978e4" virt="non-virtual"><scope>cy_stc_capsense_tfsc_context_t</scope><name>state</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfsc__context__t_1ac2bb0da57282c795cbf0f3d4c1c50e94" virt="non-virtual"><scope>cy_stc_capsense_tfsc_context_t</scope><name>touchStartPosition1</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfsc__context__t_1a8b6bd5906acd0001b1ceae797db7a8a3" virt="non-virtual"><scope>cy_stc_capsense_tfsc_context_t</scope><name>touchStartPosition2</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfsc__context__t_1a8c266f5d2b658bb7e3fa61d33c02d02e" virt="non-virtual"><scope>cy_stc_capsense_tfsc_context_t</scope><name>touchStartTime1</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfsc__context__t_1ad05feec06a31053de7213da66168c4ff" virt="non-virtual"><scope>cy_stc_capsense_tfsc_context_t</scope><name>touchStartTime2</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>